/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved. The Berkeley Software License Agreement
 * specifies the terms and conditions for redistribution.
 */
/* $Header:c_log.c 12.0$ */
/* $ACIS:c_log.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libF77/RCS/c_log.c,v $ */

#ifndef lint
static char *rcsid = "$Header:c_log.c 12.0$";
#endif

/* @(#)c_log.c	5.1 - 86/12/09 - 09:04:29 */

#include "complex"

complex *
c_log(r, z)
complex *r, *z;
{
double log(), cabs(), atan2();

r->imag = atan2(z->imag, z->real);
r->real = log( cabs(z->real, z->imag) );
return(r);
}
